﻿@model BoE.WebSite.Areas.Admin.Models.CharacterFilterModel
@{
    ViewBag.Title = "Admin | Characters";
}

<h2>Characters list</h2>

@using (Html.BeginForm("Characters", "User", FormMethod.Get))
{
    @Html.ValidationSummary(true)

    <ul class="inline-block">
        <li>
            @Html.LabelFor(m => m.Take)
            @Html.TextBoxFor(m => m.Take, new { type="number" })
        </li>
        <li>
            @Html.LabelFor(m => m.Name)
            @Html.TextBoxFor(m => m.Name)
        </li>
        <li>
            <input type="submit" value="Apply" />
        </li>
    </ul>
}
<div>
    @Html.Partial("_CharactersTable", (IEnumerable<BoE.WebSite.Areas.Admin.Models.CharacterModel>)ViewBag.Characters)
</div>